> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maalbar.dk/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch screening



## OpenAPI

````yaml patch /screenings/{screeningPublicId}
openapi: 3.1.0
info:
  title: MÅLBAR LCA API
  version: 1.0.0
  description: API for Life Cycle Assessment (LCA) screening capabilities
servers:
  - url: https://api.maalbar.dk/v1
    description: MÅLBAR LCA API
security: []
tags:
  - name: Components
  - name: Customer
  - name: Distributions
  - name: Geographical Locations
  - name: Locations
  - name: Materials
  - name: Methods
  - name: Packagings
  - name: Product
  - name: Products
  - name: Routes
  - name: Screening
  - name: Screenings
  - name: Supplier
  - name: Supplier Locations
  - name: Suppliers
  - name: Tags
paths:
  /screenings/{screeningPublicId}:
    patch:
      tags:
        - Screening
      summary: Patch screening
      operationId: patch-screenings-{screeningPublicId}
      parameters:
        - in: path
          name: screeningPublicId
          required: true
          schema:
            type: string
            minLength: 16
            maxLength: 16
          example: '123'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchScreeningApiBody'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateScreeningApiResponse'
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    PatchScreeningApiBody:
      $ref: '#/components/schemas/PatchScreeningSchema'
    UpdateScreeningApiResponse:
      type: object
      properties:
        publicId:
          type: string
          minLength: 16
          maxLength: 16
          examples:
            - screening_xxxxxxxxxxxx
        totalWeight:
          type:
            - number
            - 'null'
        productReplacementRateQuality:
          type:
            - number
            - 'null'
        productReplacementRateLogistics:
          type:
            - number
            - 'null'
        functionalUnitValue:
          type:
            - number
            - 'null'
        energyOperationalConsumption:
          type:
            - number
            - 'null'
        energyStandbyConsumption:
          type:
            - number
            - 'null'
        lightSocketType:
          type: string
          enum:
            - None
            - E14
            - E27
            - G9
        amountOfLightSockets:
          type: number
          minimum: 0
          default: 0
        lightSourceOperationalConsumption:
          type:
            - number
            - 'null'
        lightSourceStandbyConsumption:
          type:
            - number
            - 'null'
        notes:
          type:
            - string
            - 'null'
        transportLocation:
          type:
            - object
            - 'null'
          properties:
            publicId:
              type: string
              minLength: 16
              maxLength: 16
              examples:
                - transportLocation_xxxxxxxxxxxx
          required:
            - publicId
        product:
          type: object
          properties:
            publicId:
              type: string
              minLength: 16
              maxLength: 16
              examples:
                - product_xxxxxxxxxxxx
            name:
              type:
                - string
                - 'null'
            ean:
              type:
                - string
                - 'null'
            sku:
              type:
                - string
                - 'null'
          required:
            - publicId
            - name
            - ean
            - sku
        category:
          type:
            - object
            - 'null'
          properties:
            publicId:
              type: string
              minLength: 16
              maxLength: 16
              examples:
                - category_xxxxxxxxxxxx
            name:
              type: string
          required:
            - publicId
            - name
        countryShare:
          type:
            - object
            - 'null'
          properties:
            publicId:
              type: string
              minLength: 16
              maxLength: 16
              examples:
                - countryShare_xxxxxxxxxxxx
            name:
              type: string
          required:
            - publicId
            - name
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      required:
        - publicId
        - lightSocketType
        - amountOfLightSockets
        - transportLocation
        - product
        - category
        - countryShare
        - createdAt
        - updatedAt
    PatchScreeningSchema:
      type: object
      properties:
        totalWeight:
          type:
            - number
            - 'null'
          minimum: 0
        energyOperationalConsumption:
          type:
            - number
            - 'null'
          minimum: 0
        energyStandbyConsumption:
          type:
            - number
            - 'null'
          minimum: 0
        lightSocketType:
          type: string
          enum:
            - None
            - E14
            - E27
            - G9
        amountOfLightSockets:
          type: number
          minimum: 0
        lightSourceOperationalConsumption:
          type:
            - number
            - 'null'
          minimum: 0
        lightSourceStandbyConsumption:
          type:
            - number
            - 'null'
          minimum: 0
        notes:
          type:
            - string
            - 'null'
          maxLength: 255
        transportLocation:
          type:
            - object
            - 'null'
          properties:
            publicId:
              type: string
              minLength: 16
              maxLength: 16
              examples:
                - transportLocation_xxxxxxxxxxxx
          required:
            - publicId
        countryShare:
          type:
            - object
            - 'null'
          properties:
            publicId:
              type: string
              minLength: 16
              maxLength: 16
              examples:
                - countryShare_xxxxxxxxxxxx
          required:
            - publicId
  responses:
    '400':
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                examples:
                  - Invalid request parameters
    '401':
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                examples:
                  - Authentication required
    '404':
      description: Not Found
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                examples:
                  - Resource not found
    '500':
      description: Internal Server Error
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                examples:
                  - An unexpected error occurred
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

````